libxml++ 3.2.0

Public Member Functions | List of all members
xmlpp::OutputBuffer Class Referenceabstract

Base class for xmlOutputBuffer wrapper. More...

`#include <libxml++/io/outputbuffer.h>`

Inheritance diagram for xmlpp::OutputBuffer:
[legend]

## Public Member Functions
| OutputBuffer (const Glib::ustring& encoding=Glib::ustring())
| ~OutputBuffer () override
_xmlOutputBuffer* | cobj () noexcept
| gives an access to the underlying libxml structure to the children More...
const _xmlOutputBuffer* | cobj () const noexcept
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

Base class for xmlOutputBuffer wrapper.

It can be derived from to create a new output buffer. A child class has to override do_write(), and possibly do_close() if some actions are required before buffer closing.

## Constructor & Destructor Documentation

## ◆ OutputBuffer()

xmlpp::OutputBuffer::OutputBuffer | ( | const Glib::ustring & | encoding = `Glib::ustring()` | ) |

Parameters

  encoding | The encoding that the derived class waits for in do_write. If not provided, UTF-8 will be sent to do_write.

Warning
  The encoding is done by libxml. As a consequence, libxml must have a translator to the target encoding.

## ◆ ~OutputBuffer()

xmlpp::OutputBuffer::~OutputBuffer | ( |  | ) |
| override

## Member Function Documentation

## ◆ cobj() [1/2]

_xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( |  | ) |
| noexcept

gives an access to the underlying libxml structure to the children

## ◆ cobj() [2/2]

const _xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( |  | ) | const
| noexcept

gives an access to the underlying libxml structure to the children